This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 43830

Summary: MultiViewCloneableTC returns empty array of activated nodes
Product: guibuilder Reporter: Jiri Rechtacek <jrechtacek>
Component: CodeAssignee: issues@guibuilder <issues>
Status: CLOSED FIXED    
Severity: blocker    
Priority: P3    
Version: 4.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:
Bug Depends on:    
Bug Blocks: 43710    

Description Jiri Rechtacek 2004-05-25 14:16:19 UTC
MultiViewCloneableTopComponent (opened in Editor
mode) doesn't return any activated nodes nor
DataObject in its lookup.
Hint: if I change the view from Design to Code
then a data object (for <name>.java file) is returned.
Comment 1 Milos Kleint 2004-06-08 09:30:36 UTC
reassigning to form. 
the activated nodes are propagated from the currently selected inner
element of the multiview. The Design element probably doesn't return
the dataobject in it's lookup. Not even sure it should. passing for
evaluation.
Comment 2 Tomas Pavek 2004-06-08 13:29:20 UTC
Form's DataObject added to lookup of the form designer.
Comment 3 Marek Grummich 2005-07-11 14:52:07 UTC
verified